For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services

Get services.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of services. (Note: when using ?include maximum is reduced to 25)

Default: 10
Responses
200

The services

application/json
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
subscribedbooleanRead-onlyOptional
get/services
GET /api/services HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The services

[
  {
    "id": 1,
    "name": "text",
    "alias": "text",
    "status": "OPERATIONAL",
    "description": "text",
    "oneOpenIncidentOnly": true,
    "showUptimeHistory": true,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "subscribed": true,
    "uptime": {
      "rangeStart": "2026-01-01T00:00:00.000Z",
      "rangeEnd": "2026-01-01T00:00:00.000Z",
      "outages": [
        {
          "status": "OPERATIONAL",
          "from": "2026-01-01T00:00:00.000Z",
          "until": "2026-01-01T00:00:00.000Z"
        }
      ],
      "uptimePercentage": {
        "uptimePercentage": {
          "p90": 1,
          "p60": 1,
          "p30": 1
        }
      }
    },
    "incidents": [
      {
        "id": 1,
        "summary": "text",
        "status": "INVESTIGATING",
        "message": "text",
        "sendNotification": true,
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "affectedServices": [
          {
            "impact": "OPERATIONAL",
            "service": {
              "id": 1,
              "name": "text",
              "alias": "text",
              "status": "OPERATIONAL",
              "description": "text",
              "oneOpenIncidentOnly": true,
              "showUptimeHistory": true,
              "teams": [
                {
                  "id": 1,
                  "name": "text"
                }
              ]
            }
          }
        ],
        "resolvedOn": "2026-01-01T00:00:00.000Z"
      }
    ]
  }
]

Create a new service.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
Responses
200

The newly created service

application/json
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
post/services
POST /api/services HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
200

The newly created service

{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}

Get a specific service.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
Responses
200

The requested service

application/json
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
subscribedbooleanRead-onlyOptional
get/services/{id}
GET /api/services/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested service

{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "subscribed": true,
  "uptime": {
    "rangeStart": "2026-01-01T00:00:00.000Z",
    "rangeEnd": "2026-01-01T00:00:00.000Z",
    "outages": [
      {
        "status": "OPERATIONAL",
        "from": "2026-01-01T00:00:00.000Z",
        "until": "2026-01-01T00:00:00.000Z"
      }
    ],
    "uptimePercentage": {
      "uptimePercentage": {
        "p90": 1,
        "p60": 1,
        "p30": 1
      }
    }
  },
  "incidents": [
    {
      "id": 1,
      "summary": "text",
      "status": "INVESTIGATING",
      "message": "text",
      "sendNotification": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "affectedServices": [
        {
          "impact": "OPERATIONAL",
          "service": {
            "id": 1,
            "name": "text",
            "alias": "text",
            "status": "OPERATIONAL",
            "description": "text",
            "oneOpenIncidentOnly": true,
            "showUptimeHistory": true,
            "teams": [
              {
                "id": 1,
                "name": "text"
              }
            ]
          }
        }
      ],
      "resolvedOn": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Update the specific service

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
Responses
200

The updated service

application/json
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
put/services/{id}
PUT /api/services/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
200

The updated service

{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}

Remove a specific service.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

Empty body delete response

delete/services/{id}
DELETE /api/services/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

Empty body delete response

No content

Publish the latest status change of the specific service

put

Makes the latest status change of the service visible on status pages, when it was kept internal. The API reports such a change by returning a 'publicStatus' that differs from 'status'. The 'status' query param must match the current status of the service and the status of its latest change, otherwise nothing is published and the request is rejected with 409, so a status change that happened in the meantime is never published by accident.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
statusstring · enumRequired

the service status

Possible values:
Responses
200

The service whose latest status change is now public

application/json
idnumberOptional
namestringOptional
aliasstringOptional
statusstring · enumOptional

the service status

Possible values:
descriptionstringOptional
oneOpenIncidentOnlybooleanOptional
showUptimeHistorybooleanOptional
put/services/{id}/publish-status
PUT /api/services/{id}/publish-status?status=OPERATIONAL HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": 1,
  "name": "text",
  "alias": "text",
  "status": "OPERATIONAL",
  "description": "text",
  "oneOpenIncidentOnly": true,
  "showUptimeHistory": true,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}

Get the subscribers (users and teams) of a service

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

The subscribers of the service

application/json
idnumberOptional
namestringOptional
typestring · enumOptionalPossible values:
get/services/{id}/private-subscribers
GET /api/services/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The subscribers of the service

[
  {
    "id": 1,
    "name": "text",
    "type": "USER"
  }
]

Set subscribers (users and teams) of a service

put

Note: this is an in place update

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Bodyobject · TeamUserOption[]
idnumberOptional
namestringOptional
typestring · enumOptionalPossible values:
Responses
204

the response

put/services/{id}/private-subscribers
PUT /api/services/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38

[
  {
    "id": 1,
    "name": "text",
    "type": "USER"
  }
]
204

the response

No content

Last updated

Was this helpful?